Package org.gdal.gdal

## Class Algorithm

- java.lang.Object
- - org.gdal.gdal.Algorithm

-     public class Algorithm
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `boolean` | `Finalize()` |
    `Algorithm` | `GetActualAlgorithm()` |
    `AlgorithmArg` | `GetArg​(java.lang.String argName)` |
    `java.util.Vector` | `GetArgNames()` |
    `AlgorithmArg` | `GetArgNonConst​(java.lang.String argName)` |
    `java.lang.String` | `GetDescription()` |
    `java.lang.String` | `GetHelpFullURL()` |
    `java.lang.String` | `GetLongDescription()` |
    `java.lang.String` | `GetName()` |
    `java.util.Vector` | `GetSubAlgorithmNames()` |
    `java.lang.String` | `GetUsageAsJSON()` |
    `int` | `hashCode()` |
    `boolean` | `HasSubAlgorithms()` |
    `Algorithm` | `InstantiateSubAlgorithm​(java.lang.String algName)` |
    `boolean` | `ParseCommandLineArguments​(java.util.Vector args)` |
    `boolean` | `ParseRunAndFinalize​(java.util.Vector args)` |
    `boolean` | `ParseRunAndFinalize​(java.util.Vector args, ProgressCallback callback)` |
    `boolean` | `Run()` |
    `boolean` | `Run​(ProgressCallback callback)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetDescription

          public java.lang.String GetDescription()

    - #### GetLongDescription

          public java.lang.String GetLongDescription()

    - #### GetHelpFullURL

          public java.lang.String GetHelpFullURL()

    - #### HasSubAlgorithms

          public boolean HasSubAlgorithms()

    - #### GetSubAlgorithmNames

          public java.util.Vector GetSubAlgorithmNames()

    - #### InstantiateSubAlgorithm

          public Algorithm InstantiateSubAlgorithm​(java.lang.String algName)

    - #### ParseCommandLineArguments

          public boolean ParseCommandLineArguments​(java.util.Vector args)

    - #### GetActualAlgorithm

          public Algorithm GetActualAlgorithm()

    - #### Run

          public boolean Run​(ProgressCallback callback)

    - #### Run

          public boolean Run()

    - #### Finalize

          public boolean Finalize()

    - #### ParseRunAndFinalize

          public boolean ParseRunAndFinalize​(java.util.Vector args,
                                             ProgressCallback callback)

    - #### ParseRunAndFinalize

          public boolean ParseRunAndFinalize​(java.util.Vector args)

    - #### GetUsageAsJSON

          public java.lang.String GetUsageAsJSON()

    - #### GetArgNames

          public java.util.Vector GetArgNames()

    - #### GetArg

          public AlgorithmArg GetArg​(java.lang.String argName)

    - #### GetArgNonConst

          public AlgorithmArg GetArgNonConst​(java.lang.String argName)